For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data queries

Two of the Data queries routes below manage quarantined traffic sources. The rest are for retrieving traffic data; for instructions on using them, see API access to traffic data.

Quarantine operations

Get quarantined list

get

Get quarantined list

Query parameters
configstringOptional
idsstring[]Optional
rule_idsstring[]Optional
Header parameters
providerstring · enumRequired

Database to get data from

Example: mongodbPossible values:
syntaxstring · enumRequired

Syntax of query

Example: string_queryPossible values:
Responses
200

Query for quarantined has been run successfully

application/json
statusintegerRequired
get
/api/v4.3/data/quarantined

Delete record(s) from quarantined list

delete

Delete record(s) from quarantined list

Header parameters
providerstring · enumRequired

Database to get data from

Example: mongodbPossible values:
syntaxstring · enumRequired

Syntax of query

Example: jsonPossible values:
Body
configstringOptional
idsstring[]Optional
rule_idsstring[]Optional
Responses
200

Record(s) was/were successfully deleted

application/json
statusintegerRequired
delete
/api/v4.3/data/quarantined

Traffic data operations

Get traffic data from logs

get

Retrieve traffic data using 'filters' parameter, explained at https://gb.docs.reblaze.com/reference-information/api/api-access-to-traffic-data

Query parameters
limitinteger · min: 1 · max: 2500OptionalDefault: 100
offsetintegerOptionalDefault: 0
filtersstringOptional

Filters for request in format selected below (JSON or query string)

Example: {"AND":[{"field":"timestamp","op":"between","value":["2024-06-06 09:31:00","2024-06-06 09:36:00"]},{"field":"status","op":"eq","value":301}]}
debugbooleanOptional

if set to true the request will return rendered SQL without running it, for debug purposes

Example: true | false
save_historybooleanOptional

if set to true the query will be saved in the query history

Example: true | false
Header parameters
providerstring · enumOptional

Database to get data from

Example: bigqueryPossible values:
syntaxstringOptional

syntax of query

Example: json
Responses
200

Logs has been received successfully

application/json
statusintegerRequired
get
/api/v4.3/data/logs

Get traffic stats

get

Get stats (time_period, counter, hostname, bandwidth, latency) using 'filters' parameter, explained at https://gb.docs.reblaze.com/reference-information/api/api-access-to-traffic-data

Query parameters
filtersstringOptional

Filters for request in format selected below (JSON or query string)

Example: {"AND":[{"field":"timestamp","op":"between","value":["2024-06-06 09:31:00","2024-06-06 09:36:00"]},{"field":"status","op":"eq","value":301}]}
debugbooleanOptional

if set to true the request will return rendered SQL without running it, for debug purposes

Example: true | false
Header parameters
providerstring · enumOptional

Database to get data from

Example: bigqueryPossible values:
syntaxstring · enumOptional

syntax of query

Example: jsonPossible values:
Responses
200

Stats has been received successfully

application/json
statusintegerRequired
get
/api/v4.3/data/stats

Get traffic timeline

get

Get timeline (time_period, sessions, remote_addr, all_hits, blocked, origin_blocked, challenge, is_human, statuses stats, origin statuses stats, bytes_sent) using 'filters' parameter, explained at https://gb.docs.reblaze.com/reference-information/api/api-access-to-traffic-data

Query parameters
filtersstringOptional

Filters for request in format selected below (JSON or query string)

Example: {"AND":[{"field":"timestamp","op":"between","value":["2024-06-06 09:31:00","2024-06-06 09:36:00"]},{"field":"status","op":"eq","value":301}]}
debugbooleanOptional

if set to true the request will return rendered SQL without running it, for debug purposes

Example: true | false
Header parameters
providerstring · enumOptional

Database to get data from

Example: bigqueryPossible values:
syntaxstringOptional

syntax of query

Example: json
Responses
200

Timeline has been received successfully

application/json
statusintegerRequired
get
/api/v4.3/data/timeline

Convert 'filters' query string to JSON

post

Convert a query string (as used in the UI Dashboard and Events Log) into JSON format.

Body
queryone ofRequired
stringOptional
or
objectOptional
Responses
200

Filter string has been converted successfully

application/json
objectOptional
post
/api/v4.3/data/timeline/parse

Get "top" traffic data

get

Get topx stats using 'filters' parameter, explained at https://gb.docs.reblaze.com/reference-information/api/api-access-to-traffic-data

Query parameters
filtersstringOptional

Filters for request in format selected below (JSON or query string)

Example: {"AND":[{"field":"timestamp","op":"between","value":["2024-06-06 09:31:00","2024-06-06 09:36:00"]},{"field":"status","op":"eq","value":301}]}
debugbooleanOptional

if set to true the request will return rendered SQL without running it, for debug purposes

Example: true | false
save_historybooleanOptional

if set to true the query will be saved in the query history

Example: true | false
Header parameters
providerstring · enumOptional

Database to get data from

Example: bigqueryPossible values:
syntaxstring · enumOptional

syntax of query

Example: jsonPossible values:
Responses
200

Topx has been received successfully

application/json
statusintegerRequired
get
/api/v4.3/data/topx

Last updated

Was this helpful?